TAAS - Feature #475

File Close(Dynamic Posting Package)
01/10/2025 10:37 AM - Arathy PS

Status: Reopen Bugs Coding Done Start date: 01/10/2025
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: File Close

Description

History

#1 - 01/10/2025 10:37 AM - Arathy PS

- Assignee set to travvise Admin

#2 - 01/10/2025 10:43 AM - Anil KV

- Assignee changed from travvise Admin to Nawal Sidique

#3 - 01/10/2025 10:55 AM - Theja Ponon
- File clipboard-202501101052-6zf8t.png added
- Status changed from New to Reopen Bugs

- % Done changed from 0 to 50

ISSUE FOUND

1)Clear the adm/acm message

File Close(Dynamic Posting Package)

ADM/ACM Unadjusted Mapping Account Not Set, Please set Mapping Account (Use “Set Account Mapping™ Modulg). *
Doc No Date™ | dd/ MM/ m Branch* ~
Remarks Department” ~
g4
Created By <R
Status Active W 4
Madified By: %
Posting Status e Attachment
File No sl o Carbune Mt

#4 - 01/10/2025 05:39 PM - Theja Ponon

New Changes

1)Decrease the length of service column in the grid

2)Add cost,price,profit,current status in the grid

3)Created by modified by should come below the posting status

4)Increase the length of file number search field and remove the search button,on focus out from search field data should be filled in respective fields
and disable above branch and department

5)Remove the price,total cost,balance labels above the grid

6)Add these fields below the Department

-(Dropdown filed) Return to customer in QAR,Additional collection(tooltip-from customer)

-Package profit in QAR
(Incase of currency change view this fields)
-ROE

-Return to customer In Base 1

-Package profit In Base 2

Posting

customer-cr
profit(+ve)-cr, (-ve) Dr
Control account-Dr

#5 - 01/11/2025 11:04 AM - Anil KV
- Status changed from Reopen Bugs to Ready for Coding
- % Done changed from 50 to 20

#6 - 01/14/2025 10:36 AM - Nawal Sidique
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#7 - 01/30/2025 06:47 PM - Nawal Sidique
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#8 - 02/12/2025 01:10 PM - Theja Ponon

- File clipboard-202502121213-wdjv0.png added

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#9 - 02/12/2025 04:12 PM - Theja Ponon

- File clipboard-202502121504-emkkl.png added
- File clipboard-202502121507-fhntu.png added

- File clipboard-202502121554-ksvjn.png added

ISSUE FOUND

Doc No Date™ | 12/02/2025 (<l ] Branch”  BROO1  Main ~ ]
Remrks Department' | DpQO1 :: Account v
Y
Status* | Active “ Retum to Customer in QAR ™ | 0.00
Posting Status® | Active - Package Profitin QAR | 637000 6970.00 - 0.00
Created 8y:
Modified By:
FileNo | Foro01 Q Customer/File Amount 16470.00 QAR
Status (Previous Status} Cancelled (C: Total File Expense 9500.00 QAR
Date 12/02/2025 Package Balance 6970.00 QAR
L e — P04 = Package RP Net Profit (Package + Other Profit) 7470.00 QAR
Customer CUS001 = Customer

2)Fare amount of other issue is not showing - FIXED

3)Net profit value calculation is wrong- FIXED

4)Add total amount in grid- FIXED

5)Value is not clearing on removing the file number and focus out- FIXED
6)Issue on Print - FIXED
File Close

Doc No : FC/003 Doc Date 1 12/02/2025
File No : FO/001 Customer : CUS001 :: Customer
Package . PKO04 :: Package RP Previous Status . Completed

Document Document  Issue Date Ticket/ Service Currency Cost Price Profit Current Status
No Date Voucher

INV/001 12/02/2025 12/02/2025 TKO1 Air Ticket Service 4000 400 Active
INV/001 12/02/2025 12/02/2025 0OT1 Other Service 0 0 Active
INV/001 12/02/2025 12/02/2025 PKO1 Package Servije 5000 Active

7)Issue on giving document number and focus out- FIXED

Travvise File Close/Cancel (Dynamic Posting Package)

RAVEL SOLUTION PVT LTD

Index was out of range. Must be non-negative and less than the size of the collection. (Parameter ‘index')

DocNe | FC/003 Date” | 12/02/2025 a0 Branch* v
Remarks Department* v
4
Status” | Active - Return to Customer in QAR = | 0.00
Posting Status” | Active o Package Profitin QAR | 0.00
Created By:
Modified By:
File No Q Customer/File Amount 0.00 QAR
Status (Previous Status) Total File Expense 0.00 QAR
Date Package Balance 0.00 QAR
Net Profit (Package + Other Profit) 0.00 QAR
Package
Customer

8)tally issue when there is no package balance - FIXED
mefaVVise File Close/Cancel (Dynamic Posting Package)

apse. Debit and Credit Zero not allowed in a entry(0 D, 0 Cr).
DocNo Date’ | 12/02/2025 (<]l ] Branch”™ | BROO1 = Main e
o Remarks Department”  DPOO1 z: Account i
4
ok Status” | pctive o Return to Customer in QAR = | 0.00
E Posting Status” | Active o Packege Profitin GAR | 0.00 000-000
5
Created By:
i/Info. v
5 Modified By:
Do
g
fster
fileNo  ro/002 Q Customer/File Amount 6500.00 QAR
ore
Status (Previous Status) Closed (Cancelled) VR EREER 6500.00 QAR
tory
= 1270202025 Package Balance 0.00 QAR
B p— P04 = Package R Net Profit (Package + Other Proft) 500.00 QAR
n
" Customer CUS001 3 Customer
fboard Ana
Y 2 I
# | Document No Document Date Issue Date Ticket/Voucher Service Currency Cost/cr Price/Dr Profit  Current Status
1INV 12/02/2025 12/02/2025 TrO2 AirTicket Service QAR 4000 4500 00 Active
2 INveo2 12/02/2025 12/02/2025 PrO2 Package Service QAR 2000 2000 0 Active

#10 - 02/19/2025 10:36 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#11 - 02/20/2025 11:29 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#12 - 02/20/2025 11:43 AM - Theja Ponon
- File clipboard-202502201143-utpxo.png added

#13 - 02/20/2025 11:58 AM - Theja Ponon
- File clipboard-202502201158-vm2no.png added

ISSUE FOUND

1)On clearing the roe field - FIXED
File Close/Cancel (Dynamic Posting Package)

Doc No Date™ | 20/02/2025 [ r| Branch™ ' BROO1 = Main ~
Remarks y Department™  DPQOT ;; Account ~
Status” | Active - Return to Customerin USD~ | 0.00
bosting Sttus® | pctive - Package ProfitinUSD | 1800.00 180000 - 0.00
Created By: RO
Modified By:

Return to Customer in QAR | NaN

Package Profitin QAR | NaM

FileNo | FO/003 Q

Customer/File Amount 5100.00 USD NaN QAR
Status (Previous Status) Closed (Completed) T AT 33000050 EJEn
Date 20/02/2025 Package Balance 1800.00 USD NaN QAR
Package PKO1 = Package Net Profit (Package + Other Profit) 2100.00 USD NaN QAR
Customer CUS001 = Customer A

2)On clearing Return to Customer in QAR Package Profit in QAR is increases - FIXED
3)Incorrect value on Package Profit in QAR when transaction currency is other than QAR - FIXED
4)Package profit account asking on update mode - FIXED

Travvise File Close/Cancel (Dynamic Posting Package)

Package Profit Account Not Set, Plezse Set Using ‘Set Account Mapping” Madule.

DocNo | Fc/001 Date® | 20/02/2025 Q m Branch®  BROO1 = Main v
Remarks Department* | DPQO1 :: Account v
v
Status” | Active o Return to Customer in USD'~ | 0.00
Posting Status® | Active o Package Profit in USD | 1800.00 120000 - 0.00
Created By:  Administrator (20/02/2025 11:35 AM) ROE | 200
Modified By:

Return to Customerin QAR | 0,00

Package Profitin QAR | -3000.00

FileNo | FO/003 Q

Customer/File Amount 5100.00 USD 5100.00 QAR
Status (Previous Status) Closed (Closed) Total File Expense 3300.00 USD 13200.00 QAR
— 200272025 Package Balance 1800.00 USD -3000.00 QAR
Package PKOT  Package Net Profit [Package + Other Profit)  2100.00 USD -2400.00 QAR
Customer CUS001 3 Customer A

5)Profit acount set in package is not considering - FIXED

#14 - 02/21/2025 09:35 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#15 - 02/21/2025 03:29 PM - Theja Ponon

- File clipboard-202502211509-0dltv.png added

- File clipboard-202502211512-sqqai.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue found

1)Status is not showing - CAN'T REPRODUCE
File Close/Cancel (Dynamic Posting Package)

Doc No
Remarks
Status® | Active

Posting Status™ | Active

Created By:
Modified By:

FileNo | FO/004

Date”  21/02/2025

| Status (Previous Status)

Date
Package

Customer

21/02/2025
PKO1 = Package

CUS001 = Customer A

2)After saving previous status changes to close - FIXED
3)Add precision to amount - FIXED

#16 - 02/28/2025 06:07 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#17 - 03/05/2025 12:27 PM - Theja Ponon
- File clipboard-202503051109-tqoya.png added

Q0 Branch®
Department”

v Additional Collection in USD ~
Package Profit in USD

ROE

Additional Collection in QAR

Package Profitin QAR

Q Customer/File Amount
Total File Expense

Package Balance

Net Profit (Package + Other Profit)

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)In print previous status is showing wrong - FIXED

BROO1 : Main

DP0O1 :: Account

200000

700.00

2.00000000

1000.00

35000

4100.00 USD

5400.00 USD

-1300.00 USD

1100.00 USD

-1300.00 + 2000.00

2050.00 QAR
2700.00 QAR
-650.00 QAR

550.00 QAR

File Close
Doc No : FC/o01 Doc Date : 05/03/2025
File No : FOJoo1 Customer : CUS001 :: Customer
Package : PKO1 :: Package Previous Status : Closed
Doc t No Doc t Issue Date Ticket/ Service Currency Cost Profit Current Status
Date Voucher
INV/o09 05/03/2025 05/03/2025 TK45645 Air Ticket Service USD 1000.00 1100.00 100.00 Active
INV/o09 05/03/2025 05/03/2025 RT4535 Other Service usD 1000.00 1100.00 100.00 Active
INV/009 05/03/2025 05/03/2025 TS343 Transfer Service UsD 1000.00 1100.00 100.00 Active

2)Attachment type is not showing - FIXED

#18 - 03/06/2025 09:51 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#19 - 03/10/2025 04:13 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Issue on calculating total expense and profit - FIXED

#20 - 03/11/2025 08:44 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#21 - 03/12/2025 03:04 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Close is possible without checking admin settings restriction to close - FIXED
2)refund amount of visa service is not showing - FIXED
3)refund charge is not taking as refund charge - FIXED

#22 - 03/17/2025 08:52 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

clipboard-202501101052-6zf8t.png 62.1 KB 01/10/2025 Theja Ponon
clipboard-202502121213-wdjv0.png 118 KB 02/12/2025 Theja Ponon
clipboard-202502121504-emkkl.png 67 KB 02/12/2025 Theja Ponon
clipboard-202502121507-fhntu.png 100 KB 02/12/2025 Theja Ponon
clipboard-202502121554-ksvjn.png 147 KB 02/12/2025 Theja Ponon
clipboard-202502201143-utpxo.png 80 KB 02/20/2025 Theja Ponon
clipboard-202502201158-vm2no.png 134 KB 02/20/2025 Theja Ponon
clipboard-202502211509-0dltv.png 54.7 KB 02/21/2025 Theja Ponon
clipboard-202502211512-sqqai.png 89.2 KB 02/21/2025 Theja Ponon
clipboard-202503051109-tqoya.png 65.6 KB 03/05/2025 Theja Ponon
